%{?build_gdm}%{?!build_gdm:%bcond_without gdm}
%{?build_xen}%{?!build_xen:%bcond_without xen}

%ifarch %{ix86} x86_64 %{arm}
%bcond_without webrtc
%endif

%bcond_with bootstrap

# (cg) Lennart has introduced a circular dependancy in the libraries
# libpulse requires libpulsecommon but libpulsecommon requires libpulse.
# This breaks no-undefined.
# Further issues in some test apps (maybe more) require that disabling
# as-needed is also required.
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

%define __noautoreq 'devel\\(libpulsecommon.*\\)'

# Majors
%define major 0
%define zeroconfmajor 0
%define glib2major 0
%define apiver 8.0

# Library names
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define glib2libname %mklibname pulseglib2 %{glib2major}

# API libs (not real shared libs - mostly private but needed by other libs and server)
%define corelibname %mklibname pulsecore %{apiver}
%define commonlibname %mklibname pulsecommon %{apiver}

Summary:	Sound server for Linux
Name:		pulseaudio
Version:	8.0
Release:	2
# Airtunes links to OpenSSL which is BSD-like and should be reflected here
License:	LGPL and BSD-like
Group:		Sound
Url:		http://pulseaudio.org/
Source0:	http://freedesktop.org/software/pulseaudio/releases/%{name}-%{version}.tar.xz
Source1:	%{name}.sysconfig
Source3:	esd.conf
Source4:	%{name}.svg
Source5:	default.pa-for-gdm
# Load more modules if they are available
Patch0:		pulseaudio-5.0-defaults.patch
Patch1:		pulseaudio-6.0-kde-delay.patch
# Load device-manager module
Patch3:		pulseaudio-7.1-load-module-device-manager.patch
# Avoid muting various audio and video players when Skype receives a message
Patch4:		pulseaudio-8.0-disable-cork.patch

BuildRequires:	automake1.8
BuildRequires:	doxygen
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	cap-devel
BuildRequires:	gettext-devel
BuildRequires:	libltdl-devel
BuildRequires:	libwrap-devel
%if %{with xen}
BuildRequires:	xen-devel
%endif
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(atomic_ops)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(bash-completion)
%if %{without bootstrap}
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(sbc)
%endif
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libasyncns)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(libsystemd-journal)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(orc-0.4)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(tdb)
BuildRequires:	pkgconfig(udev)
%if %{with webrtc}
BuildRequires:	pkgconfig(webrtc-audio-processing)
%endif
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xtst)
Requires:	udev >= 143
Requires:	rtkit
Requires(post):	ccp

%description
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (EsounD). In addition to the features EsounD
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

%files -f %{name}.lang
%doc README
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man5/pulse-client.conf.5.*
%{_mandir}/man5/pulse-daemon.conf.5.*
%{_mandir}/man5/default.pa.5.*
%{_mandir}/man5/pulse-cli-syntax.5.*
%{_iconsdir}/hicolor/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/alsa-mixer
%{_datadir}/zsh/site-functions/_pulseaudio
/lib/udev/rules.d/90-pulseaudio.rules
%dir %{_libdir}/pulse-%{apiver}
%dir %{_libdir}/pulse-%{apiver}/modules
%{_libdir}/pulse-%{apiver}/modules/libalsa-util.so
%{_libdir}/pulse-%{apiver}/modules/libcli.so
%{_libdir}/pulse-%{apiver}/modules/liboss-util.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{apiver}/modules/libraop.so
%{_libdir}/pulse-%{apiver}/modules/librtp.so
%if %{with webrtc}
%{_libdir}/pulse-%{apiver}/modules/libwebrtc-util.so
%endif
%{_libdir}/pulse-%{apiver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{apiver}/modules/module-always-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{apiver}/modules/module-card-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-cli.so
%{_libdir}/pulse-%{apiver}/modules/module-combine.so
%{_libdir}/pulse-%{apiver}/modules/module-combine-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-role-cork.so
%{_libdir}/pulse-%{apiver}/modules/module-systemd-login.so
%{_libdir}/pulse-%{apiver}/modules/module-dbus-protocol.so
%{_libdir}/pulse-%{apiver}/modules/module-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-device-manager.so
%{_libdir}/pulse-%{apiver}/modules/module-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-echo-cancel.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-intended-roles.so
%{_libdir}/pulse-%{apiver}/modules/module-loopback.so
%{_libdir}/pulse-%{apiver}/modules/module-match.so
%{_libdir}/pulse-%{apiver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-null-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-null-source.so
%{_libdir}/pulse-%{apiver}/modules/module-oss.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{apiver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{apiver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-sine.so
%{_libdir}/pulse-%{apiver}/modules/module-sine-source.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{apiver}/modules/module-udev-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-source.so
%{_libdir}/pulse-%{apiver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{apiver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-connect.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-apply.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-heuristics.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-surround-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-port-available.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-source.so
%{_libdir}/pulse-%{apiver}/modules/module-role-ducking.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink-new.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source-new.so
%{_datadir}/bash-completion/completions/pulseaudio
%{_userunitdir}/pulseaudio.service
%{_userunitdir}/pulseaudio.socket

%pre
/usr/sbin/groupadd -f -r pulse || :
/usr/bin/id pulse >/dev/null 2>&1 || \
            /usr/sbin/useradd -r -c 'PulseAudio System Daemon' -s /sbin/nologin -d /var/run/pulse -g pulse pulse || :
/usr/sbin/groupadd -f -r pulse-access || :
exit 0

%post
ccp -i -d --set NoOrphans --oldfile %{_sysconfdir}/pulse/daemon.conf --newfile %{_sysconfdir}/pulse/daemon.conf.rpmnew

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for PulseAudio clients
Group:		System/Libraries
Requires:	%{name}-client-config
Suggests:	%{mklibname alsa-plugins}-pulseaudio
%ifarch x86_64
# (cg) Suggest the 32 bit library on 64 bits to ensure compatibility
#      with (typically closed source) 32 bit apps.
Suggests:	lib%{name}%{major}
%endif

%description -n %{libname}
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%files -n %{libname}
%{_libdir}/libpulse.so.%{major}*
%{_libdir}/libpulse-simple.so.%{major}*
%dir %{_libdir}/%{name}
# (cg) Although the following is not a shared library, putting this file here
# will allow padsp to work on dual arch machines... (e.g. using padsp to start
# a 32-bit app).
%{_libdir}/%{name}/libpulsedsp.so

#----------------------------------------------------------------------------

%package -n %{corelibname}
Summary:	Core Library for PulseAudio
Group:		System/Libraries
Obsoletes:	%{mklibname pulsezeroconf 0} < 2.0

%description -n %{corelibname}
This package contains a library needed by the PulseAudio sound server
and modules.

%files -n %{corelibname}
%{_libdir}/%{name}/libpulsecore-%{apiver}.so

#----------------------------------------------------------------------------

%package -n %{commonlibname}
Summary:	Common Library for PulseAudio
Group:		System/Libraries

%description -n %{commonlibname}
This package contains a library needed by the PulseAudio sound server,
modules and clients.

%files -n %{commonlibname}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libpulsecommon-%{apiver}.so

#----------------------------------------------------------------------------

%define alt_name soundprofile
%define alt_priority 20

%package client-config
Summary:	Client configuration for PulseAudio clients
Group:		System/Libraries
# (eatdirt) Otherwise may trigger bug 2966
Requires:	alsa-plugins-pulse-config
Requires(post):	ccp
Requires(post,postun):	update-alternatives

%description client-config
This package contains the client configuration files for any application
that wishes to interface with a PulseAudio sound server.

%files client-config
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%dir %{_sysconfdir}/sound/profiles/pulse
%{_sysconfdir}/sound/profiles/pulse/profile.conf

%post client-config
%{_sbindir}/update-alternatives \
  --install %{_sysconfdir}/sound/profiles/current %{alt_name} %{_sysconfdir}/sound/profiles/pulse %{alt_priority}
ccp -i -d --set NoOrphans --oldfile %{_sysconfdir}/pulse/client.conf --newfile %{_sysconfdir}/pulse/client.conf.rpmnew

%postun client-config
if [ ! -f %{_sysconfdir}/sound/profiles/pulse/profile.conf ]; then
  /usr/sbin/update-alternatives --remove %{alt_name} %{_sysconfdir}/sound/profiles/pulse
fi

#----------------------------------------------------------------------------

%package -n %{glib2libname}
Summary:	GLIB 2.x bindings for PulseAudio clients
Group:		System/Libraries

%description -n %{glib2libname}
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%files -n %{glib2libname}
%{_libdir}/libpulse-mainloop-glib.so.%{glib2major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and libraries for PulseAudio client development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{glib2libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d pulseaudio 0} < 2.1

%description -n %{devname}
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.

%files -n %{devname}
%doc doxygen/html
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%dir %{_includedir}/pulse
%{_includedir}/pulse/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/PulseAudio
%{_datadir}/vala/vapi/libpulse.deps
%{_datadir}/vala/vapi/libpulse.vapi
%{_datadir}/vala/vapi/libpulse-mainloop-glib.deps
%{_datadir}/vala/vapi/libpulse-mainloop-glib.vapi
%{_datadir}/vala/vapi/libpulse-simple.deps
%{_datadir}/vala/vapi/libpulse-simple.vapi

#----------------------------------------------------------------------------

%package esound-compat
Summary:	PulseAudio EsounD daemon compatibility script
Group:		Sound
Requires:	%{name} = %{EVRD}
Provides:	esound = %{EVRD}

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.

%files esound-compat
%config(noreplace) %{_sysconfdir}/esd.conf
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.*

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package module-bluetooth
Summary:	Bluetooth support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}
Requires:	sbc

%description module-bluetooth
Bluetooth modules for the PulseAudio sound server to provide support
for headsets and proximity detection.

%files module-bluetooth
%{_libdir}/pulse-%{apiver}/modules/libbluez*-util.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez*-device.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez*-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-policy.so
%endif

#----------------------------------------------------------------------------

%package module-equalizer
Summary:	Equalizer support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}
Requires:	python-dbus
Requires:	python-qt4

%description module-equalizer
Equalizer module for the PulseAudio sound server.

%files module-equalizer
%{_bindir}/qpaeq
%{_libdir}/pulse-%{apiver}/modules/module-equalizer-sink.so

#----------------------------------------------------------------------------

%package module-gconf
Summary:	GConf support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.

%files module-gconf
%{_libdir}/pulse-%{apiver}/modules/module-gconf.so
%dir %{_libdir}/pulse/
%{_libdir}/pulse/gconf-helper

#----------------------------------------------------------------------------

%package module-jack
Summary:	JACK support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.

%files module-jack
%{_libdir}/pulse-%{apiver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-jack-source.so
%{_libdir}/pulse-%{apiver}/modules/module-jackdbus-detect.so

#----------------------------------------------------------------------------

%package module-lirc
Summary:	LIRC support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.

%files module-lirc
%{_libdir}/pulse-%{apiver}/modules/module-lirc.so

#----------------------------------------------------------------------------

%package module-x11
Summary:	X11 support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.

%files module-x11
%{_bindir}/pax11publish
%{_bindir}/start-pulseaudio-x11
%{_mandir}/man1/pax11publish.1.*
%{_mandir}/man1/start-pulseaudio-x11.1.*
%{_libdir}/pulse-%{apiver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-cork-request.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-xsmp.so
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop

#----------------------------------------------------------------------------

%package module-zeroconf
Summary:	Zeroconf support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.

%files module-zeroconf
%{_libdir}/pulse-%{apiver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-discover.so

#----------------------------------------------------------------------------

%if %{with xen}
%package module-xen
Summary:	Xen guest support for the PulseAudio sound server
Group:		Sound
Requires:	%{name} = %{EVRD}

%description module-xen
Xen guest support for the PulseAudio sound server.

%files module-xen
%{_libdir}/pulse-%{apiver}/modules/module-xenpv-sink.so
%endif

#----------------------------------------------------------------------------

%package utils
Summary:	PulseAudio sound server utilities
Group:		Sound

%description utils
This package contains command line utilities for the PulseAudio sound server.

%files utils
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/pamon
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/parecord
%{_bindir}/pasuspender
%{_mandir}/man1/pacat.1.*
%{_mandir}/man1/pacmd.1.*
%{_mandir}/man1/pactl.1.*
%{_mandir}/man1/padsp.1.*
%{_mandir}/man1/pamon.1.*
%{_mandir}/man1/paplay.1.*
%{_mandir}/man1/parec.1.*
%{_mandir}/man1/parecord.1.*
%{_mandir}/man1/pasuspender.1.*
%{_datadir}/bash-completion/completions/pacat
%{_datadir}/bash-completion/completions/pacmd
%{_datadir}/bash-completion/completions/pactl
%{_datadir}/bash-completion/completions/padsp
%{_datadir}/bash-completion/completions/paplay
%{_datadir}/bash-completion/completions/parec
%{_datadir}/bash-completion/completions/parecord
%{_datadir}/bash-completion/completions/pasuspender

#----------------------------------------------------------------------------

%if %{with gdm}
%package gdm-hooks
Summary:	PulseAudio GDM integration
Group:		Sound
Requires:	gdm
# for the gdm user
Requires(pre):	gdm

%description gdm-hooks
This package contains GDM integration hooks for the PulseAudio sound server.

%files gdm-hooks
%attr(0700, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.pulse
%attr(0600, gdm, gdm) %{_localstatedir}/lib/gdm/.pulse/default.pa
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# (cg) If autoconf is retriggered (which can happen automatically) we need this file.
cat >git-version-gen <<EOF
#!/bin/bash
echo -n %{version}.0-%{release}
EOF
chmod a+x git-version-gen

echo "clean:" > Makefile
./bootstrap.sh -V

%build
%configure2_5x \
	--disable-hal-compat \
	--enable-systemd \
	--with-fftw \
	--disable-static \
	--with-system-user=pulse \
	--with-system-group=pulse \
	--with-access-group=pulse-access \
%ifarch %{arm}
	--disable-neon-opt \
%endif
%if %{with webrtc}
	--enable-webrtc-aec
%endif

%make
make doxygen

%install
%makeinstall_std

install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/

install -D -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/devices
ln -s ../apps/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/devices/audio-backend-pulseaudio.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/{apps,devices}
  convert -geometry ${size}x${size} %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
  ln -s ../apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/devices/audio-backend-pulseaudio.png
done

# Fix esd
ln -s esdcompat %{buildroot}%{_bindir}/esd

# (cg) For sound profile support
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/pulse
echo "SOUNDPROFILE=pulse" >%{buildroot}%{_sysconfdir}/sound/profiles/pulse/profile.conf

# (cg) HAL support is no longer the default, and we don't officially support system wide, so
# System Wide + HAL is pretty unlikely.
rm -f %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{name}-system.conf

# (cg) We require systemd now, so no point in using CK
rm -f %{buildroot}%{_libdir}/pulse-%{apiver}/modules/module-console-kit.so

# (cg) Disable x11-cork-request... it should be ahndled in the apps as we cannot
#      maintain state via this mechanism. Should be a patch, but I'm lazy.
sed -i 's,\(/usr/bin/pactl load-module module-x11-cork-request\),#\1,' %{buildroot}%{_bindir}/start-pulseaudio-x11

%if %{with gdm}
# (akdengi) Add gdm hook from Fedora
install -p -m644 -D %{SOURCE5} %{buildroot}%{_localstatedir}/lib/gdm/.pulse/default.pa
%endif

%find_lang %{name}


%changelog

* Tue Apr 26 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 8.0-2
- (fa8d677) Avoid muting various audio and video players when Skype receives a message (disable module-role-cork by default)

* Sat Jan 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 8.0-1
- (5795f8a) New version 8.0
- (5795f8a) Drop no longer needed localedir patch

* Thu Dec 31 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.1-3
- (9136316) Drop 0100-module-systemd-login-Use-a-new-check-to-only-exit-wh patch (seems to be no longer needed)

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.1-2
- (38f0db8) Build with soxr support

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.1-1
- (7311327) New version 7.1
- (7311327) Load module-device-manager by default
- (7311327) Fix locale dir (patch from Fedora)

* Fri Sep 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.0-1
- (ad15632) Build requires pkgconfig(bash-completion)
- (Andrey Bondrov: b11a456) Build requires pkgconfig(libsystemd-daemon)
- (Andrey Bondrov: 09a85cf) New version 7.0
- (Andrey Bondrov: 09a85cf) New internal API version 7.0
- (Andrey Bondrov: 09a85cf) Move bash completion files to new location
- (Andrey Bondrov: 09a85cf) Add more man pages
- (Andrey Bondrov: 09a85cf) Drop merged headphones patch

* Mon Jun 22 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.0-3
- (f37d276) Add kde-delay patch to workaround PA bug #58758 (which should have been fixed upstream already but it's not)

* Tue May 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.0-2
- (99672fe) Make line out path unavailable when Front Headphone is plugged in (upstream patch)

* Mon Mar 02 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.0-1
- (e7d2396) New version 6.0
- (e7d2396) New api version 6.0 (used for internal libraries)
- (e7d2396) Drop no longer needed patches (some merged upstream, some seem to be useless now)
- (e7d2396) Update BuildRequires

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 5.0-11
- (f537041) MassBuild#656: Increase release tag

* Mon Jan 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0-10
- (eb51ae7) Adjust conditional builds

* Mon Jan 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0-6
- (3afcdc5) Update BuildRequires (no longer support older Rosa releases)
- (Tigro: 69dab35) added possibility to build pulseaudio without gdm support. Enabled by default
- (Alex Burmashev: 8346ce8) MassBuild#440: Increase release tag

* Mon Jun 23 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0-5
- (59d98f9) Adjust default config (load dbus and equalizer modules if they are installed)
- (Andrey Bondrov: aa4feec) Update Requires for equalizer module

* Sun Jun 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0-4
- (ad9eb42) Minor sources cleanup
- (Andrey Bondrov: 4a48860) Build with equalizer module (add pulseaudio-module-equalizer subpackage)
- (Andrey Bondrov: 743bc4f) Sort subpackages

* Mon May 19 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0-3
- (06b0f9b) Build with new json-c

* Tue Mar 11 2014 akdengi <kazancas@mandriva.ru> 5.0-2
- (8cce7c4) SILENT up release

* Tue Mar 11 2014 akdengi <kazancas@mandriva.ru> 5.0-1
- (194e8a9) add KDE device manager patch
- (akdengi: ef83e58) Update to 5.0

* Thu Nov 28 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.0-8
- (586ff23) LOG Update BuildRequires
- (Andrey Bondrov: 409d86d) LOG Spec cleanup

* Wed Nov 13 2013 Denis Silakov <denis.silakov@rosalab.ru> 3.0-7
- (9884df6) Update Russian l10n

* Tue Mar 19 2013 akdengi <kazancas@mandriva.ru> 3.0-6
- (70fd1cf) drop early presented patch
- (akdengi: 97c1cf6) fix memtest patch


